Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.ldap
Interface ILdapServer

All Known Implementing Classes:
  LdapServerImpl

    public interface ILdapServer

The `ILdapServer` interface defines a set of methods to be used to create a connection to an LDAP server, release the connection and get information about the connection.

Version:
  $Revision: 1.4 $
Author:
  Eric Dalquist edalquist@unicon.net

Method Summary
`java.lang.String` | `getBaseDN()` Gets the base DN used to search the LDAP directory context.
`javax.naming.directory.DirContext` | `getConnection()` Gets an LDAP directory context.
`java.lang.String` | `getUidAttribute()` Gets the uid attribute used to search the LDAP directory context.
`void` | `releaseConnection(javax.naming.directory.DirContext conn)` Releases an LDAP directory context.

Method Detail

### getConnection

    javax.naming.directory.DirContext getConnection()
                                                    throws javax.naming.NamingException

  Gets an LDAP directory context.

  Returns:
    an LDAP directory context object.
  Throws:
    `javax.naming.NamingException` - If there is a problem connecting to the ldap server.

### getBaseDN

    java.lang.String getBaseDN()

  Gets the base DN used to search the LDAP directory context.

  Returns:
    a DN to use as reference point or context for queries

### getUidAttribute

    java.lang.String getUidAttribute()

  Gets the uid attribute used to search the LDAP directory context.

  Returns:
    a DN to use as reference point or context for queries

### releaseConnection

    void releaseConnection(javax.naming.directory.DirContext conn)

  Releases an LDAP directory context.

  Parameters:
    `conn` - an LDAP directory context object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD